com.sun.jna.platform.bsd

## Class ExtAttrUtil

- java.lang.Object
- - com.sun.jna.platform.bsd.ExtAttrUtil

    public class ExtAttrUtil
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ExtAttrUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `delete(java.lang.String path, java.lang.String name)`
`static java.nio.ByteBuffer` `get(java.lang.String path, java.lang.String name)`
`static java.util.List<java.lang.String>` `list(java.lang.String path)`
`static void` `set(java.lang.String path, java.lang.String name, java.nio.ByteBuffer value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExtAttrUtil

    public ExtAttrUtil()

### Method Detail

#### list

    public static java.util.List<java.lang.String> list(java.lang.String path)
                                                 throws java.io.IOException

Throws:
  `java.io.IOException`

#### get

    public static java.nio.ByteBuffer get(java.lang.String path,
                                          java.lang.String name)
                                   throws java.io.IOException

Throws:
  `java.io.IOException`

#### set

    public static void set(java.lang.String path,
                           java.lang.String name,
                           java.nio.ByteBuffer value)
                    throws java.io.IOException

Throws:
  `java.io.IOException`

#### delete

    public static void delete(java.lang.String path,
                              java.lang.String name)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.